//
// UploadGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct UploadGet: Codable {

    public var mimeType: String
    public var kind: UploadKind
    public var originalId: UUID?
    public var _id: UUID
    public var createdAt: Date
    public var url: String?
    public var meta: UploadObjectMeta?

    public init(mimeType: String, kind: UploadKind, originalId: UUID? = nil, _id: UUID, createdAt: Date, url: String? = nil, meta: UploadObjectMeta? = nil) {
        self.mimeType = mimeType
        self.kind = kind
        self.originalId = originalId
        self._id = _id
        self.createdAt = createdAt
        self.url = url
        self.meta = meta
    }

    public enum CodingKeys: String, CodingKey { 
        case mimeType = "mime_type"
        case kind
        case originalId = "original_id"
        case _id = "id"
        case createdAt = "created_at"
        case url
        case meta
    }

}
